## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

### POST endpoint

`https://api-sandbox.dwolla.com/webhook-subscriptions/{id}`

### cURL Example

```bash
POST https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer 0Sn0W6kzNicvoWhDbQcVSKLRUpGjIdlPSEYyrHqrDDoRnQwE7Q
{
    "paused": true
}
```

### Node.js Example

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookSubscriptionUrl =
  "https://api-sandbox.dwolla.com/webhook-subscriptions/692486f8-29f6-4516-a6a5-c69fd2ce854c";

var requestBody = {
  paused: true,
};

dwolla.post(webhookSubscriptionUrl, requestBody).then((res) => res.body.paused); // => 'true'
```

### Python Example

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

request_body = {
  'paused': true
}

subscription = app_token.post(webhook_subscription_url, request_body)
subscription.body['paused'] # => true
```

### PHP Example

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookSubscriptionUrl = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

$webhookApi = new DwollaSwagger\WebhooksubscriptionsApi($apiClient);

$subscription = $webhookApi->updateSubscription(array (
  'paused' => true
), $webhookSubscriptionUrl);
?>
```

### Ruby Example

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

request_body = {
  :paused => true
}

subscription = app_token.post "#{webhook_subscription_url}", request_body
```

### Responses

**Success (200)**

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589"
    },
    "webhooks": {
      "href": "https://api.dwolla.com/webhook-subscriptions/077dfffb-4852-412f-96b6-0fe668066589/webhooks"
    }
  },
  "id": "077dfffb-4852-412f-96b6-0fe668066589",
  "url": "http://myapplication.com/webhooks",
  "paused": true,
  "created": "2022-10-28T16:20:47+00:00"
}
```

**Bad Request (400)**

```json
{
  "code": "BadRequest",
  "message": "The request body contains bad syntax or is incomplete."
}
```

**Not Found (404)**

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

- **Authorization**: `string` (header, required) - The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

- **Accept**: `enum<string>` (default: application/vnd.dwolla.v1.hal+json, required) - The media type of the response. Must be `application/vnd.dwolla.v1.hal+json`.

### Path Parameters

- **id**: `string` (required) - Webhook unique identifier.

### Body Parameters

- **paused**: `boolean` (required) - Example: `true`

### Response Objects

- **_links**: `object` - Show child attributes.
- **id**: `string` - Example: `"077dfffb-4852-412f-96b6-0fe668066589"`
- **url**: `string` - Example: `"http://myapplication.com/webhooks"`
- **paused**: `boolean` - Example: `true`
- **created**: `string<date-time>` - Example: `"2022-10-28T16:20:47+00:00"`
